curl --request POST \
--url https://api.iotools.cloud/v1/tool/html-meta-extractor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"htmlSource": "<!DOCTYPE html>\n<html>\n<head>\n <title>Example Domain</title>\n <meta charset=\"utf-8\">\n <meta name=\"description\" content=\"A domain used for illustrative examples.\">\n <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n <meta name=\"robots\" content=\"index, follow\">\n <link rel=\"canonical\" href=\"https://example.com/\">\n <meta property=\"og:title\" content=\"Example Domain\">\n <meta property=\"og:type\" content=\"website\">\n <meta property=\"og:url\" content=\"https://example.com/\">\n <meta name=\"twitter:card\" content=\"summary\">\n <meta name=\"twitter:title\" content=\"Example Domain\">\n</head>\n<body>\n <h1>Example Domain</h1>\n</body>\n</html>"
}
'{
"tool": "html-meta-extractor",
"tool_version": "1.0.1",
"outputs": {
"metaTags": [
{
"tag": "title",
"value": "Example Domain"
},
{
"tag": "charset",
"value": "utf-8"
},
{
"tag": "description",
"value": "A domain used for illustrative examples."
},
{
"tag": "viewport",
"value": "width=device-width, initial-scale=1"
},
{
"tag": "robots",
"value": "index, follow"
},
{
"tag": "canonical",
"value": "https://example.com/"
},
{
"tag": "og:title",
"value": "Example Domain"
},
{
"tag": "og:type",
"value": "website"
},
{
"tag": "og:url",
"value": "https://example.com/"
},
{
"tag": "twitter:card",
"value": "summary"
},
{
"tag": "twitter:title",
"value": "Example Domain"
}
],
"json": "{\n \"title\": \"Example Domain\",\n \"description\": \"A domain used for illustrative examples.\",\n \"canonical\": \"https://example.com/\",\n \"robots\": \"index, follow\",\n \"headings\": {\n \"h1_count\": 1,\n \"h1_text\": [\n \"Example Domain\"\n ]\n },\n \"open_graph_tags\": [\n {\n \"property\": \"og:title\",\n \"content\": \"Example Domain\"\n },\n {\n \"property\": \"og:type\",\n \"content\": \"website\"\n },\n {\n \"property\": \"og:url\",\n \"content\": \"https://example.com/\"\n }\n ],\n \"twitter_tags\": [\n {\n \"property\": \"twitter:card\",\n \"content\": \"summary\"\n },\n {\n \"property\": \"twitter:title\",\n \"content\": \"Example Domain\"\n }\n ]\n}"
},
"credits_used": 3,
"credits_remaining": null
}Utilities
HTML Meta Extractor
Extract the title, canonical URL, and every meta tag — description, viewport, robots, Open Graph, Twitter Card — plus h1 headings, from pasted HTML or a live URL.
POST
/
v1
/
tool
/
html-meta-extractor
curl --request POST \
--url https://api.iotools.cloud/v1/tool/html-meta-extractor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"htmlSource": "<!DOCTYPE html>\n<html>\n<head>\n <title>Example Domain</title>\n <meta charset=\"utf-8\">\n <meta name=\"description\" content=\"A domain used for illustrative examples.\">\n <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n <meta name=\"robots\" content=\"index, follow\">\n <link rel=\"canonical\" href=\"https://example.com/\">\n <meta property=\"og:title\" content=\"Example Domain\">\n <meta property=\"og:type\" content=\"website\">\n <meta property=\"og:url\" content=\"https://example.com/\">\n <meta name=\"twitter:card\" content=\"summary\">\n <meta name=\"twitter:title\" content=\"Example Domain\">\n</head>\n<body>\n <h1>Example Domain</h1>\n</body>\n</html>"
}
'{
"tool": "html-meta-extractor",
"tool_version": "1.0.1",
"outputs": {
"metaTags": [
{
"tag": "title",
"value": "Example Domain"
},
{
"tag": "charset",
"value": "utf-8"
},
{
"tag": "description",
"value": "A domain used for illustrative examples."
},
{
"tag": "viewport",
"value": "width=device-width, initial-scale=1"
},
{
"tag": "robots",
"value": "index, follow"
},
{
"tag": "canonical",
"value": "https://example.com/"
},
{
"tag": "og:title",
"value": "Example Domain"
},
{
"tag": "og:type",
"value": "website"
},
{
"tag": "og:url",
"value": "https://example.com/"
},
{
"tag": "twitter:card",
"value": "summary"
},
{
"tag": "twitter:title",
"value": "Example Domain"
}
],
"json": "{\n \"title\": \"Example Domain\",\n \"description\": \"A domain used for illustrative examples.\",\n \"canonical\": \"https://example.com/\",\n \"robots\": \"index, follow\",\n \"headings\": {\n \"h1_count\": 1,\n \"h1_text\": [\n \"Example Domain\"\n ]\n },\n \"open_graph_tags\": [\n {\n \"property\": \"og:title\",\n \"content\": \"Example Domain\"\n },\n {\n \"property\": \"og:type\",\n \"content\": \"website\"\n },\n {\n \"property\": \"og:url\",\n \"content\": \"https://example.com/\"\n }\n ],\n \"twitter_tags\": [\n {\n \"property\": \"twitter:card\",\n \"content\": \"summary\"\n },\n {\n \"property\": \"twitter:title\",\n \"content\": \"Example Domain\"\n }\n ]\n}"
},
"credits_used": 3,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?
⌘I